
QGIS Application - Bug report #20870

'gdal_fillnodata.bat' is not recognized as an internal or external command

2018-12-22 10:10 PM - Harm Olthof

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28689

Description

When you run menu item: raster -> Analysis -> Fill no data and use the default settings in the following popup and push run, an error

occurs indicating that 

gdal_fillnodata.bat is missing from the OSGeo4W setup. Using OSGeo4W setup (advanced), updating GDAL, does not resolve the

issue. Nor is gdal_fillnodata.bat visible in the OSGeo4W shell environment.

the complete error log is:

Processing algorithm…

Algorithm 'Fill nodata' starting…

Input parameters:

{ 'BAND' : 1, 'DISTANCE' : 10, 'INPUT' : 'C:/Users/Harm/Downloads/r_02dn1.tif', 'ITERATIONS' : 0, 'MASK_LAYER' : None,

'NO_MASK' : False, 'OUTPUT' :

'C:/Users/Harm/AppData/Local/Temp/processing_5f044c95297b44e69512fd54e6eb7577/7f29e9f1bf05452a9362a0fb74d1666d/OUTPUT.tif' }

GDAL command:
cmd.exe /C gdal_fillnodata.bat -md 10 -b 1 -of GTiff C:/Users/Harm/Downloads/r_02dn1.tif C:/Users/Harm/AppData/Local/Temp/processing_5f044c95297b44e69512fd54e6eb7577/7f29e9f1bf05452a9362a0fb74d1666

/OUTPUT.tif' }

GDAL command:

cmd.exe /C gdal_fillnodata.bat -md 10 -b 1 -of GTiff C:/Users/Harm/Downloads/r_02dn1.tif

C:/Users/Harm/AppData/Local/Temp/processing_5f044c95297b44e69512fd54e6eb7577/7f29e9f1bf05452a9362a0fb74d1666d/OUTPUT.tif
GDAL command output:
'gdal_fillnodata.bat' is not recognized as an internal or external command,

operable program or batch file.


OUTPUT.tif

GDAL command output:

'gdal_fillnodata.bat' is not recognized as an internal or external command,

operable program or batch file.

Associated revisions

Revision b6293f23 - 2019-01-07 03:41 PM - Jürgen Fischer

osgeo4w: run python scripts with python3 (fixes #20870)

Revision 8b8e6b81 - 2019-02-11 10:28 AM - Jürgen Fischer

osgeo4w: run python scripts with python3 (fixes #20870)

(cherry picked from commit b6293f23c8c54602f668f980f50d76ef09271e8a)
History

#1 - 2018-12-24 10:13 AM - Alexander Bruy

- Category changed from Rasters to Build/Install

Looks like packaging issue.

#2 - 2018-12-31 12:54 PM - Alexander Bruy

- Status changed from Open to Feedback

Please check if you have GDAL and its python tools and bindings installed.

Can you call any of the GDAL Python tools (like gdal_edit, gdal_fillnodata etc) from the OSGeo shell?

#3 - 2018-12-31 01:10 PM - Harm Olthof

- File Schermafdruk 2018-12-31 13.10.20.png added

According to the OSGeo4W setup GDAL 2.4.0-3 is installed (including Python 3 bindings and Scripts). I can see some commands the OSGeo4W Shell,

but not all (esp. not gdal_fillnodata).

Here is a list of commands in the OSGeo4W Shell:

C:\>o-help

={ OSGeo4W Shell Commands }=

  cct                                     cs2cs

  curl                                    derb

  dllupdate                               fax2ps

  fax2tiff                                gdaladdo

  gdalbuildvrt                            gdaldem

  gdalenhance                             gdalinfo

  gdallocationinfo                        gdalmanage

  gdalserver                              gdalsrsinfo

  gdaltindex                              gdaltransform

  gdalwarp                                gdal_contour

  gdal_grid                               gdal_rasterize

  gdal_translate                          genbrk

  genccode                                gencfu

  gencmn                                  gencnval

  gendict                                 gennorm2

  genrb                                   gensprep

  geod                                    gie

  gnmanalyse                              gnmmanage

  gpsbabel                                icuinfo

  icupkg                                  makeconv

  nad2bin                                 nccopy

  ncdump                                  ncgen

  ncgen3                                  nearblack

  nircmd                                  nircmdc

  ogr2ogr                                 ogrinfo

  ogrlineref                              ogrtindex

  osgeo4w-setup-work                      osgeo4w-setup

  pal2rgb                                 pkgdata
  ppm2tiff                                proj

  psql                                    python3

  pythonw3                                qgis-bin

  raw2tiff                                sqlite3

  testepsg                                textreplace

  tiff2bw                                 tiff2pdf

  tiff2ps                                 tiff2rgba

  tiffcmp                                 tiffcp

  tiffcrop                                tiffdither

  tiffdump                                tiffinfo

  tiffmedian                              tiffset

  tiffsplit                               uconv

  vcredist_2015_x64                       xmlcatalog

  xmllint                                 xmlwf

  xxmklink                                o-help

  o4w_env                                 py3_env

  python-qgis                             qgis-designer

  qgis                                    qt5_env

  setup-test                              setup

GDAL 2.4.0, released 2018/12/14

C:\>

#4 - 2018-12-31 03:42 PM - Giovanni Manghi

- Priority changed from High to Normal

- Easy fix? changed from Yes to No

Works fine here on a clean install of osgeo4w on Windows 10.

#5 - 2019-01-04 12:37 AM - Harm Olthof

I made a clean install also. However I have the same issues as reported before.

What is the supposed path to gdal_fillnodata.bat?

(I do see that the folder  C:\OSGeo4W64\bin\gdalplugins is empty)

#6 - 2019-01-07 09:18 AM - Giovanni Manghi

Harm Olthof wrote:

I made a clean install also. However I have the same issues as reported before.

What is the supposed path to gdal_fillnodata.bat?

(I do see that the folder  C:\OSGeo4W64\bin\gdalplugins is empty)

C:\OSGeo4W64\bin

#7 - 2019-01-07 11:31 AM - Harm Olthof
- Assignee set to Giovanni Manghi

Not in my (clean) install:

C:\OSGeo4W64\bin>dir C:\OSGeo4W64\bin

 Volume in drive C is OS

 Volume Serial Number is xxx-xxx

Directory of C:\OSGeo4W64\bin

04-01-2019  00:30    <DIR>          .

04-01-2019  00:30    <DIR>          ..

11-10-2018  16:08            47.616 adrg.dll

29-10-2014  02:36             7.680 boost_atomic-vc110-mt-1_56.dll

29-10-2014  02:36             9.728 boost_atomic-vc110-mt-gd-1_56.dll

29-10-2014  02:36            28.672 boost_chrono-vc110-mt-1_56.dll

29-10-2014  02:36            49.664 boost_chrono-vc110-mt-gd-1_56.dll

29-10-2014  02:36            31.232 boost_container-vc110-mt-1_56.dll

29-10-2014  02:36           108.544 boost_container-vc110-mt-gd-1_56.dll

29-10-2014  02:36             7.168 boost_context-vc110-mt-1_56.dll

29-10-2014  02:36             9.728 boost_context-vc110-mt-gd-1_56.dll

29-10-2014  02:36            57.344 boost_coroutine-vc110-mt-1_56.dll

29-10-2014  02:36           115.712 boost_coroutine-vc110-mt-gd-1_56.dll

29-10-2014  02:36            50.688 boost_date_time-vc110-mt-1_56.dll

29-10-2014  02:36           129.024 boost_date_time-vc110-mt-gd-1_56.dll

29-10-2014  02:36           117.248 boost_filesystem-vc110-mt-1_56.dll

29-10-2014  02:36           218.112 boost_filesystem-vc110-mt-gd-1_56.dll

29-10-2014  02:36           262.144 boost_graph-vc110-mt-1_56.dll

29-10-2014  02:36           740.864 boost_graph-vc110-mt-gd-1_56.dll

29-10-2014  02:36            51.200 boost_iostreams-vc110-mt-1_56.dll

29-10-2014  02:36            83.968 boost_iostreams-vc110-mt-gd-1_56.dll

29-10-2014  02:36           481.280 boost_locale-vc110-mt-1_56.dll

29-10-2014  02:36         1.099.776 boost_locale-vc110-mt-gd-1_56.dll

29-10-2014  02:36           641.024 boost_log-vc110-mt-1_56.dll

29-10-2014  02:36         1.668.096 boost_log-vc110-mt-gd-1_56.dll

29-10-2014  02:36           764.928 boost_log_setup-vc110-mt-1_56.dll

29-10-2014  02:36         2.144.768 boost_log_setup-vc110-mt-gd-1_56.dll

29-10-2014  02:36            34.304 boost_math_c99-vc110-mt-1_56.dll

29-10-2014  02:36            78.336 boost_math_c99-vc110-mt-gd-1_56.dll

29-10-2014  02:36            34.304 boost_math_c99f-vc110-mt-1_56.dll

29-10-2014  02:36            78.848 boost_math_c99f-vc110-mt-gd-1_56.dll

29-10-2014  02:36            32.256 boost_math_c99l-vc110-mt-1_56.dll

29-10-2014  02:36            73.728 boost_math_c99l-vc110-mt-gd-1_56.dll

29-10-2014  02:36           193.024 boost_math_tr1-vc110-mt-1_56.dll

29-10-2014  02:36           453.632 boost_math_tr1-vc110-mt-gd-1_56.dll

29-10-2014  02:36           204.800 boost_math_tr1f-vc110-mt-1_56.dll

29-10-2014  02:36           488.960 boost_math_tr1f-vc110-mt-gd-1_56.dll

29-10-2014  02:36           193.024 boost_math_tr1l-vc110-mt-1_56.dll

29-10-2014  02:36           451.584 boost_math_tr1l-vc110-mt-gd-1_56.dll

29-10-2014  02:36            35.840 boost_prg_exec_monitor-vc110-mt-1_56.dll

29-10-2014  02:36            60.928 boost_prg_exec_monitor-vc110-mt-gd-1_56.dll

29-10-2014  02:36           433.152 boost_program_options-vc110-mt-1_56.dll

29-10-2014  02:36           916.480 boost_program_options-vc110-mt-gd-1_56.dll

29-10-2014  02:36            24.064 boost_random-vc110-mt-1_56.dll
29-10-2014  02:36            39.936 boost_random-vc110-mt-gd-1_56.dll

29-10-2014  02:36           765.440 boost_regex-vc110-mt-1_56.dll

29-10-2014  02:36         2.525.696 boost_regex-vc110-mt-gd-1_56.dll

29-10-2014  02:36           245.760 boost_serialization-vc110-mt-1_56.dll

29-10-2014  02:36           762.368 boost_serialization-vc110-mt-gd-1_56.dll

29-10-2014  02:36            58.880 boost_signals-vc110-mt-1_56.dll

29-10-2014  02:36           165.888 boost_signals-vc110-mt-gd-1_56.dll

29-10-2014  02:36            19.456 boost_system-vc110-mt-1_56.dll

29-10-2014  02:36            32.256 boost_system-vc110-mt-gd-1_56.dll

29-10-2014  02:36           102.912 boost_thread-vc110-mt-1_56.dll

29-10-2014  02:36           220.160 boost_thread-vc110-mt-gd-1_56.dll

29-10-2014  02:36            29.696 boost_timer-vc110-mt-1_56.dll

29-10-2014  02:36            51.712 boost_timer-vc110-mt-gd-1_56.dll

29-10-2014  02:36           535.552 boost_unit_test_framework-vc110-mt-1_56.dll

29-10-2014  02:36         1.444.864 boost_unit_test_framework-vc110-mt-gd-1_56.dll

29-10-2014  02:36           628.736 boost_wave-vc110-mt-1_56.dll

29-10-2014  02:36         1.645.568 boost_wave-vc110-mt-gd-1_56.dll

29-10-2014  02:36           167.936 boost_wserialization-vc110-mt-1_56.dll

29-10-2014  02:36           471.040 boost_wserialization-vc110-mt-gd-1_56.dll

06-08-2013  16:28           408.064 cblas.dll

09-10-2018  22:36            52.736 cct.exe

26-04-2017  15:10            13.824 charset-1.dll

09-10-2018  22:36            48.128 cs2cs.exe

30-06-2018  12:02           352.768 curl.exe

30-06-2018  12:02           888.832 curl.pdb

04-02-2017  20:56            25.600 derb.exe

11-09-2018  12:48            72.192 dllupdate.exe

11-10-2018  16:08            19.968 dtcanada.dll

11-10-2018  16:08            44.032 dted.dll

11-10-2018  16:08             9.216 dtusa.dll

31-07-2013  22:28           136.704 expat.dll

28-05-2017  14:53            20.480 fax2ps.exe

28-05-2017  14:53            18.432 fax2tiff.exe

19-07-2015  14:36            66.560 freexl.dll

20-10-2018  01:15        21.187.072 gdal203.dll

22-12-2018  22:35        21.633.536 gdal204.dll

22-12-2018  22:36            82.944 gdaladdo.exe

22-12-2018  22:36            18.944 gdalbuildvrt.exe

22-12-2018  22:36            78.848 gdaldem.exe

22-12-2018  22:36           101.376 gdalenhance.exe

22-12-2018  22:36            17.408 gdalinfo.exe

22-12-2018  22:36            30.720 gdallocationinfo.exe

22-12-2018  22:36            23.040 gdalmanage.exe

04-01-2019  00:29    <DIR>          gdalplugins

22-12-2018  22:36            20.480 gdalserver.exe

22-12-2018  22:36            85.504 gdalsrsinfo.exe

22-12-2018  22:36            32.256 gdaltindex.exe

22-12-2018  22:36            24.064 gdaltransform.exe

22-12-2018  22:36            29.696 gdalwarp.exe

22-12-2018  22:36            29.184 gdal_contour.exe

22-12-2018  22:36            17.408 gdal_grid.exe

22-12-2018  22:36            77.824 gdal_rasterize.exe

22-12-2018  22:36            81.920 gdal_translate.exe
04-02-2017  20:56            21.504 genbrk.exe

04-02-2017  20:56            12.288 genccode.exe

04-02-2017  20:56            17.920 gencfu.exe

04-02-2017  20:56            12.800 gencmn.exe

04-02-2017  20:56            26.624 gencnval.exe

04-02-2017  20:56            28.672 gendict.exe

04-02-2017  20:56            52.736 gennorm2.exe

04-02-2017  20:56           139.264 genrb.exe

04-02-2017  20:56            25.600 gensprep.exe

09-10-2018  22:36            45.568 geod.exe

09-10-2018  22:58         2.023.424 geos.dll

11-10-2018  14:26           482.816 geos_c.dll

09-10-2018  22:36            86.016 gie.exe

22-12-2018  22:36            99.328 gnmanalyse.exe

22-12-2018  22:36           104.960 gnmmanage.exe

23-03-2014  13:08         1.745.920 gpsbabel.exe

06-08-2013  16:30         2.782.720 gsl.dll

14-10-2013  22:48         2.212.864 hdf5.dll

14-10-2013  22:48            99.840 hdf5_hl.dll

26-04-2017  15:10         1.023.488 iconv-2.dll

31-07-2013  22:10         1.332.224 iconv.dll

04-02-2017  20:56            26.277 icu-config

04-02-2017  20:56        25.048.064 icudt56.dll

04-02-2017  20:56         2.713.600 icuin56.dll

04-02-2017  20:56            12.800 icuinfo.exe

04-02-2017  20:56            66.560 icuio56.dll

04-02-2017  20:56           345.088 icule56.dll

04-02-2017  20:56            60.416 iculx56.dll

04-02-2017  20:56            25.600 icupkg.exe

04-02-2017  20:56            73.728 icutest56.dll

04-02-2017  20:56           263.680 icutu56.dll

04-02-2017  20:56         1.818.624 icuuc56.dll

29-08-2016  19:04           146.944 jpeg.dll

29-08-2016  19:04           147.968 jpeg12.dll

30-06-2018  12:02           398.848 libcurl.dll

27-10-2016  23:01         2.265.088 libeay32.dll

28-05-2017  11:01           151.040 liblzma.dll

14-04-2017  17:38         4.107.264 libmysql.dll

23-04-2017  23:11           190.464 libpng16.dll

17-08-2013  18:02           174.080 libpq.dll

28-05-2017  14:53           427.520 libtiff.dll

31-07-2013  20:30         1.392.128 libxml2.dll

11-10-2018  17:40         1.355.776 lwgeom.dll

04-02-2017  20:56            55.296 makeconv.exe

11-10-2018  17:43         9.701.376 mod_spatialite.dll

19-02-2011  21:51           608.080 msvcp100.dll

18-02-2011  23:52           829.264 msvcr100.dll

09-10-2018  22:36            41.472 nad2bin.exe

21-05-2017  20:20            45.568 nccopy.exe

21-05-2017  20:20            73.216 ncdump.exe

21-05-2017  20:21           172.032 ncgen.exe

21-05-2017  20:20            76.800 ncgen3.exe

22-12-2018  22:36            15.872 nearblack.exe
21-05-2017  20:20         1.015.296 netcdf.dll

11-08-2013  14:41           115.712 nircmd.exe

11-08-2013  14:40           113.664 nircmdc.exe

04-11-2018  13:52               852 o-help.bat

27-05-2017  08:53               406 o4w_env.bat

11-10-2018  16:08           158.720 ogdi.dll

22-12-2018  22:36            92.160 ogr2ogr.exe

22-12-2018  22:36            92.672 ogrinfo.exe

22-12-2018  22:36           123.392 ogrlineref.exe

22-12-2018  22:36            90.624 ogrtindex.exe

02-09-2018  18:11           123.392 opencl.dll

08-10-2017  10:25           287.232 openjp2.dll

26-02-2018  20:44           910.304 osgeo4w-setup.exe

28-05-2017  14:53            17.408 pal2rgb.exe

04-02-2017  20:56            41.984 pkgdata.exe

28-05-2017  14:53            17.408 ppm2tiff.exe

04-09-2016  19:51           472.064 proj.dll

09-10-2018  22:36            52.224 proj.exe

09-10-2018  22:36           513.536 proj_5_2.dll

17-08-2013  18:02           379.904 psql.exe

08-10-2018  16:48               141 py3_env.bat

04-01-2019  00:30               481 python-qgis.bat

23-12-2018  07:30               481 python-qgis.bat.tmpl

27-06-2018  04:00            59.032 python3.dll

27-06-2018  04:01            99.992 python3.exe

27-06-2018  04:00         3.844.760 python37.dll

27-06-2018  04:01            98.456 pythonw3.exe

04-01-2019  00:30               852 qgis-bin.env

23-12-2018  05:16           113.152 qgis-bin.exe

22-12-2018  23:26               408 qgis-bin.vars

04-01-2019  00:30               318 qgis-designer.bat

23-12-2018  07:30               318 qgis-designer.bat.tmpl

04-01-2019  00:30               448 qgis.bat

23-12-2018  07:30               448 qgis.bat.tmpl

08-10-2018  01:22               214 qt.conf

08-10-2018  01:22               214 qt5.conf

08-10-2018  01:22               488 qt5_env.bat

28-05-2017  14:53            25.088 raw2tiff.exe

11-10-2018  16:08            40.448 remote.dll

11-10-2018  16:08            68.608 rpf.dll

04-01-2019  00:30               191 setup-test.bat

10-08-2017  08:19               179 setup-test.bat.tmpl

04-01-2019  00:30               178 setup.bat

10-08-2017  08:19               166 setup.bat.tmpl

11-10-2018  16:08            36.352 skeleton.dll

03-11-2014  04:24           538.624 spatialindex-64.dll

03-11-2014  04:24           227.328 spatialindex_c-64.dll

11-10-2018  17:43         9.655.808 spatialite.dll

12-12-2018  15:54         1.412.096 sqlite3.dll

12-12-2018  15:54           170.496 sqlite3.exe

27-10-2016  23:01           383.488 ssleay32.dll

14-10-2013  22:45            45.056 szip.dll

22-12-2018  22:36            67.584 testepsg.exe
11-09-2018  12:48            89.600 textreplace.exe

28-05-2017  14:53           427.520 tiff.dll

28-05-2017  14:53            18.432 tiff2bw.exe

28-05-2017  14:53            75.776 tiff2pdf.exe

28-05-2017  14:53            49.664 tiff2ps.exe

28-05-2017  14:53            18.432 tiff2rgba.exe

28-05-2017  14:53            21.504 tiffcmp.exe

28-05-2017  14:53            35.840 tiffcp.exe

28-05-2017  14:53           108.032 tiffcrop.exe

28-05-2017  14:53            16.384 tiffdither.exe

28-05-2017  14:53            21.504 tiffdump.exe

28-05-2017  14:53            18.944 tiffinfo.exe

28-05-2017  14:53            22.528 tiffmedian.exe

28-05-2017  14:53            14.848 tiffset.exe

28-05-2017  14:53            14.848 tiffsplit.exe

04-02-2017  20:56            55.296 uconv.exe

19-08-2014  10:11         7.188.536 vcredist-2013-x64.exe

21-02-2017  10:15        14.572.000 vcredist_2015_x64.exe

11-10-2018  16:08           194.560 vrf.dll

05-12-2017  20:43         3.095.040 xerces-c_3_2.dll

31-07-2013  20:31            14.336 xmlcatalog.exe

31-07-2013  20:31            50.688 xmllint.exe

31-07-2013  22:28            19.968 xmlwf.exe

01-04-2005  14:01            49.152 xxmklink.exe

04-08-2017  19:41           159.232 zip.dll

31-07-2013  20:27            77.824 zlib1.dll

08-12-2017  21:37           245.760 zstd.dll

             227 File(s)    181.771.292 bytes

               3 Dir(s)  328.881.299.456 bytes free

#8 - 2019-01-07 11:35 AM - Giovanni Manghi

maybe you a particularly aggressive antivirus that do not allow the installer to deploy such .bat files?

#9 - 2019-01-07 02:15 PM - Harm Olthof

I just did a "reinstall"  and checked gdal-2.4.0-3.tar.bz2 in the download dir. 

The files are also missing in the tar. Can you confirm that they are in your version of this tar?

(Just using MS Defender)

#10 - 2019-01-07 02:20 PM - Giovanni Manghi

Harm Olthof wrote:

I just did a "reinstall"  and checked gdal-2.4.0-3.tar.bz2 in the download dir. 

The files are also missing in the tar. Can you confirm that they are in your version of this tar?

(Just using MS Defender)

there you have only the tools that are .exe. Others are python scripts, you have to look into python3-gdal-2.4.0-3.tar.bz2
#11 - 2019-01-07 02:24 PM - Harm Olthof

I don't think that is true: in gdal-2.4.0-3.tar.bz2 there are also *.bat files.

In python3-gdal-2.4.0-3.tar.bz2 I also don't find the missing gdal_fillnodata.bat

#12 - 2019-01-07 02:37 PM - Giovanni Manghi

Harm Olthof wrote:

I don't think that is true: in gdal-2.4.0-3.tar.bz2 there are also *.bat files.

in this file I see only .exe files, and I have a working copy of qgis/gdal/osgeo4w

In python3-gdal-2.4.0-3.tar.bz2 I also don't find the missing gdal_fillnodata.bat

no, there you have the .py script, the .bat files are generated by the script "make-bat-for-py.bat"

#13 - 2019-01-07 02:37 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#14 - 2019-01-07 02:44 PM - Jürgen Fischer

Giovanni Manghi wrote:

Harm Olthof wrote:

I don't think that is true: in gdal-2.4.0-3.tar.bz2 there are also *.bat files.

in this file I see only .exe files, and I have a working copy of qgis/gdal/osgeo4w

In python3-gdal-2.4.0-3.tar.bz2 I also don't find the missing gdal_fillnodata.bat

no, there you have the .py script, the .bat files are generated by the script "make-bat-for-py.bat"

The batch files are only generated for py2 (by gdal-python)

#15 - 2019-01-07 02:47 PM - Giovanni Manghi

The batch files are only generated for py2 (by gdal-python)

so this may explain: I also did a 2.18 installation, so .bat files are generated. Meanwhile if someone does only a 3.* installation then .bat files are not

generated but Processing needs them.

#16 - 2019-01-07 02:53 PM - Harm Olthof
I can confirm that I only have QGIS 3.x installed.

So that explains it?

#17 - 2019-01-07 02:54 PM - Giovanni Manghi

Harm Olthof wrote:

I can confirm that I only have QGIS 3.x installed.

So that explains it?

try installing also qgis 2.18, then try use the tool in qgis 3.

#18 - 2019-01-07 03:31 PM - Harm Olthof

I installed the LTR version (2.18) and I can confirm that raster -> Analysis -> Fill no data now works in QGIS 3.4

So that is a nice workaround until this is fixed in 3.x.

Thanks for the support!

Regards,

Harm

#19 - 2019-01-07 03:41 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|b6293f23c8c54602f668f980f50d76ef09271e8a.

#20 - 2019-01-07 05:14 PM - Jürgen Fischer

- Description updated

#21 - 2019-01-07 05:15 PM - Jürgen Fischer

- Resolution set to fixed/implemented
